target=hw
link=1
#to_step=vpl.generate_target
[advanced]
#param=compiler.userPreSysLinkTcl=<full path name>/pre_sys_link.tcl
[connectivity]
# Following line deals with number of kernel instances, UG1393 (v2021.1) July 19, 2021
# nk= <kernel name>:<nuber of instances>:<Instance name>
nk=cnic:1:perentie0

# perentie0/clk_gt_freerun is the port name in vitisaccelcore.vhd, the aclk_ctrl is in the Shell
# shell port names can be found by exploring the platform files in /opt/xilinx/platforms/<card>/hw.xsa
# xsa is a zip archive, you can rename to hw.zip and extract, then explore the design of the shell.
#connect=perentie0/clk_gt_freerun:aclk_ctrl
connect=ii_level0_wire/ulp_m_aclk_freerun_ref_00:perentie0/clk_freerun
connect=io_clk_qsfp_refclka_00_clk_p:perentie0/gt_refclk_p
connect=io_clk_qsfp_refclka_00_clk_n:perentie0/gt_refclk_n
connect=perentie0/gt_rxp_in:io_gt_qsfp_00_grx_p
connect=perentie0/gt_rxn_in:io_gt_qsfp_00_grx_n
connect=perentie0/gt_txp_out:io_gt_qsfp_00_gtx_p
connect=perentie0/gt_txn_out:io_gt_qsfp_00_gtx_n

sp=perentie0.sharedAddr:PLRAM[0]
# each HBM interface is 256 MBytes, so 4 are required for 1 Gbyte of memory.
# exposing all 8GB via one interface is 32.
sp=perentie0.M01Addr:HBM[0:7]
sp=perentie0.M02Addr:HBM[8:15]
sp=perentie0.M03Addr:HBM[16:23]
sp=perentie0.M04Addr:HBM[24:31]


# update this to match your system capabilities.
[vivado]
synth.jobs=20


impl.jobs=1
impl.strategies=Performance_Auto_1,Performance_Auto_2,Performance_Auto_3,Performance_Retiming,Performance_ExtraTimingOpt,Performance_BalanceSLRs,Performance_BalanceSLLs